Q: Are there any requirements to using the Outlook Add-in?

A: Yes.

  • Windows 7 and 10:
    • Outlook 2013 / 2016
  • MAC:
    • OS X 10.10 or later
    • Outlook 2016
  • Hosted Exchange Server 2013 or higher as a service on your account

Important:

  • Office 365 package is not supported. Add-in works only with standalone Outlook 2013/3016, Office 2013/2016 or OWA.
  • read the Knowledge Base article on Desktop Application For Presenters if you have not held a meeting yet on Intermedia AnyMeeting.

Q.  How do I get the add-in?

If you have Hosted Exchange and Intermedia AnyMeeting with us then you will automatically be provisioned the Outlook Add-in.  Nothing to install!  Just open Outlook or OWA and the add-in will be there.

Q: Why do I see a pop up to allow the add-in?

A: Your operating system wants you to grant permission to run the add-in. It is a normal security feature.

Click Allow:

  • On Windows:
    Untick the box if you do not want to be asked each time you use the add-in:

    AllowWindows

Q: Are there any other known issues?

A:There are 2 known issues with OWA (Outlook Webmail):

  • Currently the Outlook Webmail version is supported on Safari 11 or higher. You will need to ensure Safari is up to date
  • At this time, OWA 2016 is supported. OWA 2013 will offer the calendar option only